/// \file host_logging.h
///
/// setup target-neutral logging
///

#ifndef HOST_LOGGING_H_
#define HOST_LOGGING_H_

#ifdef __H89__

#include "logger.h"
#define __log__	log_out

#else

extern FILE *__log__;

#endif // !H89

#define logprintf(fmt...)	{ fprintf(__log__, fmt); fflush(__log__); }

#endif // HOST_LOGGING_H_
